Package com.ngrok.definitions

# Class EventSourceReplace.Builder

java.lang.Object
com.ngrok.definitions.EventSourceReplace.Builder

Enclosing class:
  EventSourceReplace

public static class EventSourceReplace.Builder extends Object
Builder class for `EventSourceReplace`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventSourceReplace`
  `build()`
  Constructs the `EventSourceReplace` instance.
  `EventSourceReplace.Builder`
  `type(String type)`
  Type of event for which an event subscription will trigger
  `EventSourceReplace.Builder`
  `type(Optional<String> type)`
  Type of event for which an event subscription will trigger

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### type

    public EventSourceReplace.Builder type(String type)
    Type of event for which an event subscription will trigger
    Parameters:
      `type` - the value of the `type` parameter as a `String`
    Returns:
      this builder instance

  - ### type

    public EventSourceReplace.Builder type(Optional<String> type)
    Type of event for which an event subscription will trigger
    Parameters:
      `type` - the value of the `type` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EventSourceReplace build()
    Constructs the `EventSourceReplace` instance.
    Returns:
      a new `EventSourceReplace`